Summary:	Cryptographic Filesystem
Summary(pl):	Kryptograficzny system plikw
Name:		cfs
Version:	1.3.3
Release:	1
License:	distributable
# Original source is unknown
Group:		Applications/File
Group(de):	Applikationen/Datei
Group(pl):	Aplikacje/Pliki
Source0:	ftp://ftp.zedz.net/pub/crypto/disk/cfs/%{name}_%{version}.orig.tar.gz
Patch0:		http://non-us.debian.org/debian-non-US/dists/potato/non-US/main/source/%{name}_1.3.3-8.diff.gz
Buildroot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
CFS pushes encryption services into the Unix(tm) file system. It
supports secure storage at the system level through a standard Unix
file system interface to encrypted files. Users associate a
cryptographic key with the directories they wish to protect. Files in
these directories (as well as their pathname components) are
transparently encrypted and decrypted with the specified key without
further user intervention; cleartext is never stored on a disk or sent
to a remote file server. CFS employs a novel combination of DES stream
and codebook cipher modes to provide high security with good
performance on a modern workstation. CFS can use any available file
system for its underlying storage without modification, including
remote file servers such as NFS. System management functions, such as
file backup, work in a normal manner and without knowledge of the key.

%description -l pl
CFS dodaje usugi szyfrujce do systemu plikw Unixw. Obsuguje on
bezpieczny zapis informacji poprzez standardowy interfejs systemu
plikw dostpny w Unixach. Uytkownicy przypisuj kryptograficzne
klucze tym katalogom, ktre chc zabezpieczy. Pliki w tych katalogach
(jak rwnie ich nazwy) s przeroczycie szyfrowane i deszyfrowane z
podanym kluczem; dane czystym tekstem nigdy nie s zapisywane na dysku
czy przesyane przez sie do zdalnego serwera.

%prep
%setup -q -n %{name}-%{version}.orig

%build
%{__make} cfs esm \
	CC="%{__cc}" \
	COPT="%{rpmcflags}"

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install_cfs install_esm \
	BINDIR=$RPM_BUILD_ROOT%{_bindir} \
	ETCDIR=$RPM_BUILD_ROOT%{_sbindir}

gzip -9nf README.esm README.history README.install 

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc *.gz
%attr(,,)
